Subject: Re: [PATCH V6 mlx5-next 10/15] vfio: Remove migration protocol v1

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 1 Feb 2022 09:52:31 -0400

On Tue, Feb 01, 2022 at 02:26:29PM +0100, Cornelia Huck wrote:

> > We can certainly defer the kernels removal patch for a release if it
> > makes qemu's life easier?
> 
> No, I'm only talking about the QEMU implementation (i.e. the code that
> uses the v1 definitions and exposes x-enable-migration). Any change in
> the headers needs to be done via a sync with upstream Linux.

If we leave the v1 and v2 defs in the kernel header then qemu can sync
and do the trivial rename and keep going as-is.

Then we can come with the patches to qemu update to v2, however that
looks.

We'll clean the kernel header in the next cylce.

OK?

Jason